Package com.enonic.xp.portal.macro

## Class MacroContext

- java.lang.Object
- - com.enonic.xp.portal.macro.MacroContext

-     @PublicApi
      public final class MacroContext
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `MacroContext.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MacroContext.Builder` | `copyOf​(MacroContext macroContext)` |
    `static MacroContext.Builder` | `create()` |
    `boolean` | `equals​(Object o)` |
    `String` | `getBody()` |
    `String` | `getDocument()` |
    `String` | `getName()` |
    `String` | `getParam​(String name)` | Deprecated.
    `ImmutableList<String>` | `getParameter​(String name)` |
    `ImmutableListMultimap<String,​String>` | `getParameters()` |
    `ImmutableMap<String,​String>` | `getParams()` | Deprecated.
    `PortalRequest` | `getRequest()` |
    `int` | `hashCode()` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getName

          public String getName()

    - #### getBody

          public String getBody()

    - #### getParam

          @Deprecated
          public String getParam​(String name)

      Deprecated.

    - #### getParams

          @Deprecated
          public ImmutableMap<String,​String> getParams()

      Deprecated.

    - #### getParameter

          public ImmutableList<String> getParameter​(String name)

    - #### getParameters

          public ImmutableListMultimap<String,​String> getParameters()

    - #### getRequest

          public PortalRequest getRequest()

    - #### getDocument

          public String getDocument()

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### create

          public static MacroContext.Builder create()

    - #### copyOf

          public static MacroContext.Builder copyOf​(MacroContext macroContext)